Index: main/trunk/release-kits/bin/clientrk
===================================================================
--- main/trunk/release-kits/bin/clientrk	(revision 34256)
+++ main/trunk/release-kits/bin/clientrk	(revision 34256)
@@ -0,0 +1,1 @@
+link rk
Index: main/trunk/release-kits/bin/clientrk.bat
===================================================================
--- main/trunk/release-kits/bin/clientrk.bat	(revision 34256)
+++ main/trunk/release-kits/bin/clientrk.bat	(revision 34256)
@@ -0,0 +1,3 @@
+@echo off
+set RK_NAME=%0
+%~dp0\rk.bat %*
Index: main/trunk/release-kits/bin/rk
===================================================================
--- main/trunk/release-kits/bin/rk	(revision 34255)
+++ main/trunk/release-kits/bin/rk	(revision 34256)
@@ -13,5 +13,5 @@
 
 function show_help {
-	echo "usage: {rk2|rk3|sork2|sork2|cdrk2|derk} [-help|-cmd] [ANT_ARGS]"
+	echo "usage: {rk2|rk3|sork2|sork2|cdrk2|derk|clientrk} [-help|-cmd] [ANT_ARGS]"
 	echo "	-help       show this help screen"
 	echo "	-cmd        show the ant command being used by the releas kit"
@@ -34,5 +34,7 @@
         rk_fullname="CD-ROM Release Kit for Greenstone2"
 elif [ "$rk_name" == "derk" ]; then
-        rk_fullname="Documented Examples Release Kit"
+    rk_fullname="Documented Examples Release Kit"
+elif [ "$rk_name" == "clientrk" ]; then
+    rk_fullname="Standalone Client-GLI Release Kit"
 else
 	show_help
Index: main/trunk/release-kits/kits/clientrk/ant-scripts/build.old
===================================================================
--- main/trunk/release-kits/kits/clientrk/ant-scripts/build.old	(revision 34256)
+++ main/trunk/release-kits/kits/clientrk/ant-scripts/build.old	(revision 34256)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!--
+		..........................................................
+		July 2020
+		Release Kit for Standalone Client-GLI (clientrk)
+		Based on Oran Fry's work for other the RK3 release kit
+		..........................................................
+-->
+
+<project name="clientrk-build" default="clientrk">
+  
+  <!-- IMPORT OTHER ANT SCRIPTS -->
+  <!--<import file="${rk.home}/shared/core/ant-scripts/shared.xml"/>-->
+  <!--<import file="${rk.home}/shared/greenstone3/ant-scripts/greenstone3-shared.xml"/>-->
+  
+  <import file="compile.xml"/>
+  <!--<import file="${rk.home}/shared/core/ant-scripts/create-installer.xml"/>-->
+  <!--<import file="${rk.home}/shared/core/ant-scripts/wrap.xml"/>-->
+  
+  <!-- THE MAIN TARGET -->
+  <target name="clientrk">
+    <antcall target="compile"/>
+    <!--<ant inheritRefs="true" dir="." antfile="${rk.home}/kits/${rk.name}/ant-scripts/create-components.xml" target="create-components"/>-->
+    <!--<antcall target="create-installer"/>-->
+    <!--<antcall target="wrap"/>-->
+  </target>
+  
+  <!-- target to show properties in clientrk-build.properties -->
+  <target name="properties" depends="core-properties"/> 
+  
+</project>
Index: main/trunk/release-kits/kits/clientrk/ant-scripts/build.xml
===================================================================
--- main/trunk/release-kits/kits/clientrk/ant-scripts/build.xml	(revision 34256)
+++ main/trunk/release-kits/kits/clientrk/ant-scripts/build.xml	(revision 34256)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!--
+		..........................................................
+		July 2020
+		Release Kit for Standalone Client-GLI (clientrk)
+		Based on Oran Fry's work for other the RK3 release kit
+		..........................................................
+-->
+
+<project name="clientrk-build" default="clientrk">
+  <!-- TODO: 2 artificial vars -->
+  <!--
+      <property name="rk.home" value="/Scratch/ak19/release-kits"/>
+      <property name="outputdir" value="/Scratch/ak19/release-kits"/>
+  -->
+  
+  <import file="compile.xml"/>
+
+  <!-- IMPORT OTHER ANT SCRIPTS -->
+  <import file="${rk.home}/shared/core/ant-scripts/shared.xml"/>
+
+  <!-- THE MAIN TARGET -->
+  <target name="clientrk">
+    <antcall target="compile"/>
+  </target>
+  
+  <!-- target to show properties in clientrk-build.properties -->
+  <!--<target name="properties" depends="core-properties"/> -->
+  
+</project>
Index: main/trunk/release-kits/kits/clientrk/ant-scripts/compile.xml
===================================================================
--- main/trunk/release-kits/kits/clientrk/ant-scripts/compile.xml	(revision 34256)
+++ main/trunk/release-kits/kits/clientrk/ant-scripts/compile.xml	(revision 34256)
@@ -0,0 +1,71 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<project name="clientrk-compile">
+
+  <property name="gli" value="standalone-client-gli"/>
+
+  <!-- TODO: 3 artificial vars -->
+  <!--
+  <property name="branch.path" value="trunk"/>
+  <property name="branch.revision" value="HEAD"/>
+  <property name="svn.root" value="http://svn.greenstone.org"/>
+  -->
+  
+  <target name="compile">
+
+    <!-- checkout GLI source code -->
+    <exec executable="svn">
+      <arg value="checkout"/>
+      <arg value="${svn.root}/main/${branch.path}/gli"/>
+      <arg value="${gli}"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
+    
+    <!-- run makegli and makejar -->
+    <if>
+      <bool><equals arg1="${rk.os}" arg2="windows"/></bool>
+      
+      <exec executable="cmd">
+	<arg value="/c"/>
+	<arg value="makegli.bat"/>
+      </exec>		  
+      <exec executable="cmd">
+	<arg value="/c"/>
+	<arg value="makejar.bat"/>
+      </exec>
+      
+      <else>
+	<exec executable="/bin/bash" dir="${gli}">
+	  <arg value="-c"/>
+	  <arg value="makegli.sh"/>
+	</exec>
+	<exec executable="/bin/bash" dir="${gli}">
+	  <arg value="-c"/>
+	  <arg value="makejar.sh"/>
+	</exec>		    
+      </else>
+    </if>
+    
+    <!-- Now that GLI.jar but also GLIServer.jar are generated,
+	 can delete the src, classes and jar folders.
+	 If classes didn't exist, compile failed.
+	 If jar folder didn't exist, makejar failed.
+	 TODO: Or is it best to test for the existence of the two .jar files?
+    -->
+    <delete dir="${gli}/src" quiet="true" />
+    <delete dir="${gli}/classes" failonerror="true" />
+    <delete dir="${gli}/jar" failonerror="true" />
+    
+    <!-- strip out .svn dirs -->
+    <antcall target="strip-svn-dirs"><param name="dir" value="${gli}"/></antcall>
+    
+    <!-- create a tarball of the standalone client-gli folder -->
+    <exec executable="tar" dir="${gli}">
+      <arg value="xvzf"/>
+      <arg value="${gli}.tar.gz"/>
+    </exec>
+
+    <!-- delete everything but the tarball -->
+    <delete dir="${gli}"/>
+    
+  </target>  
+</project>
Index: main/trunk/release-kits/shared/core/ant-scripts/shared.xml
===================================================================
--- main/trunk/release-kits/shared/core/ant-scripts/shared.xml	(revision 34255)
+++ main/trunk/release-kits/shared/core/ant-scripts/shared.xml	(revision 34256)
@@ -4,5 +4,5 @@
 	<!-- CHECK PRE-CONDITIONS  -->
 	<target name="init">
-
+	  <echo>@@ Shared called</echo>
 		<!-- load in static properties from build.properties -->
 		<property file="${rk.name}-build.properties" />