Index: main/trunk/model-interfaces-dev/wmtb/transform/layouts/header.xsl
===================================================================
--- main/trunk/model-interfaces-dev/wmtb/transform/layouts/header.xsl	(revision 34274)
+++ main/trunk/model-interfaces-dev/wmtb/transform/layouts/header.xsl	(revision 34275)
@@ -608,5 +608,5 @@
 				>
 			      <span class="wsite-menu-title">
-				Toi Ora | Enviroment
+				Taiao | Enviroment
 			      </span>
 			    </a>
@@ -665,5 +665,5 @@
 						
 
-<div class="paragraph" style="text-align:left;"><strong><font color="#fa8a00">Our People</font></strong><br /><font><font><a href="/t299puna.html"><span>&#65279;</span><span>&#65279;</span><font color="#a1a1a1">Tipuna</font></a> </font><span>&#65279;</span></font><span>&#65279;</span><font color="#a1a1a1">&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160;&#160;</font><br /><a href="/hap363-and-marae.html"><span>&#65279;</span><font color="#a1a1a1">Hapu &amp; Marae</font><span>&#65279;</span></a><br /><a href="/kaum257tua.html"><span>&#65279;</span><font color="#a1a1a1">Kaumatua</font><span>&#65279;</span></a><br />Whakatohea Pre-Settlement&#160;<br /><a href="/history-and-archives.html"><font color="#a1a1a1">History &amp; Archives</font></a></div>
+<div class="paragraph" style="text-align:left;"><strong><font color="#fa8a00">Our People</font></strong><br /><font><font><a href="/t299puna.html"><font color="#a1a1a1">Tipuna</font></a></font></font><br /><a href="/hap363-and-marae.html"><font color="#a1a1a1">Hapu &amp; Marae</font></a><br /><a href="/kaum257tua.html"><font color="#a1a1a1">Kaumatua</font></a><br />Whakatohea Pre-Settlement&#160;<br /><a href="/history-and-archives.html"><font color="#a1a1a1">History &amp; Archives</font></a></div>
 
 
Index: main/trunk/model-interfaces-dev/wmtb/transform/layouts/main.xsl
===================================================================
--- main/trunk/model-interfaces-dev/wmtb/transform/layouts/main.xsl	(revision 34274)
+++ main/trunk/model-interfaces-dev/wmtb/transform/layouts/main.xsl	(revision 34275)
@@ -27,6 +27,8 @@
     <body id="top" class="banner-overlay-on">
       <div class="wrapper">
+
+	<!-- Whakatohea.co.nz's navbar -->
+	<xsl:call-template name="whakatohea-navbar"/>
 	
-	<xsl:call-template name="whakatohea-navbar"/>
 	<div class="site-canvas">
 	  <div class="wrapper-old col0">
@@ -79,36 +81,38 @@
 	    </div>
 	  </div>
-	  <div class="wrapper-old col2">
-
-			<div id="topbar">
-				<div id="topnav">
-					<ul>
-						<xsl:call-template name="navBar"/>
-					</ul>
-				</div>
-				<!--**********************************************************************-->
-				<xsl:choose>
-					<xsl:when test="page/pageRequest/@subaction='home'">
-						<xsl:call-template name="crossCollSearch"/>
-					</xsl:when>
-					<xsl:when test="page/pageRequest/paramList/param/@name='c' and /page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
-						<xsl:call-template name="quick-search-area"/>
-					</xsl:when>
-					<xsl:otherwise/>
-				</xsl:choose>
-				<!--**********************************************************************-->
-			</div>
-		</div>
-		<div class="wrapper-old">
-			<div class="container" id="gs_content">
-				<xsl:apply-templates select="/page"/>				
-			</div>
-			<br class="clear" />
-		</div>
-		<xsl:call-template name="wmtb-footer"/>
-
-	  </div> <!-- end site-canvas -->
-	</div> <!-- end wrapper-->
-	</body>
+	  
+	  <div class="wrapper-old col2">	    
+	    <div id="topbar">
+	      <div id="topnav">
+		<ul>
+		  <xsl:call-template name="navBar"/>
+		</ul>
+	      </div>
+	      <!--**********************************************************************-->
+	      <xsl:choose>
+		<xsl:when test="page/pageRequest/@subaction='home'">
+		  <xsl:call-template name="crossCollSearch"/>
+		</xsl:when>
+		<xsl:when test="page/pageRequest/paramList/param/@name='c' and /page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
+		  <xsl:call-template name="quick-search-area"/>
+		</xsl:when>
+		<xsl:otherwise/>
+	      </xsl:choose>
+	      <!--**********************************************************************-->
+	    </div>
+	  </div>
+	  
+	  <div class="outer">
+	    <div id="gs_content">
+	      <xsl:apply-templates select="/page"/>				
+	    </div>
+	    <br class="clear" />
+	    
+	  </div><!-- end class main-wrap-->
+	  <xsl:call-template name="wmtb-footer"/>
+	  
+	</div> <!-- end site-canvas -->
+      </div> <!-- end wrapper-->
+    </body>
 </html>
 </xsl:template>
Index: main/trunk/model-interfaces-dev/wmtb/transform/pages/home.xsl
===================================================================
--- main/trunk/model-interfaces-dev/wmtb/transform/pages/home.xsl	(revision 34274)
+++ main/trunk/model-interfaces-dev/wmtb/transform/pages/home.xsl	(revision 34275)
@@ -38,5 +38,4 @@
 	<xsl:template match="/page/pageResponse">
 	  <div class="main-wrap">
-	    
 	    <div id="wsite-content" class="wsite-elements wsite-not-footer">
 	      <div class="wsite-section-wrap">
@@ -45,15 +44,19 @@
 		    <div class="container">
 		      <div class="wsite-section-elements">
-			<div class="wsite-spacer" style="height:50px;"></div>
-
+			<!-- forced to add nbsp (which in XSL is &#160;) in div.wsite-spacer
+			     because otherwise text overflows from the main page into footer 
+			     caused by html rendering of div.wsite-spacer's subsequent sibling
+			     divs as *children* of div.wsite-spacer instead.
+			     Beware that XSL errors ensue if &nbsp; is used as it's not a defined
+			     entity in XSL, only in HTML. Must use &#160; for nbsp in XSL, see
+			     https://stackoverflow.com/questions/1461649/how-to-insert-nbsp-in-xslt
+			-->
+			<div class="wsite-spacer" style="height:50px;">
+			  &#160; &#160; &#160;
+			</div>
 			<div><div class="wsite-multicol"><div class="wsite-multicol-table-wrap" style="margin:0 -15px;">
 			  <table class="wsite-multicol-table">
 			    <tbody class="wsite-multicol-tbody">
 			      <tr class="wsite-multicol-tr">
-				<!--
-				    <div class="content">				    
-				    <img src="interfaces/perrin/images/default.jpg" alt="" />
-				    </div>
-				-->
 				<xsl:call-template name="collectionAndGroupLinks"/>
 			      </tr>
@@ -69,13 +72,6 @@
 	      
 	    </div>
-	    
-	  </div><!-- end main-wrap -->
-		<br class="clear" />
-		<div id="hpage_cats">
-
-		  <!--<xsl:call-template name="collectionsList"/>-->
-		</div>		
+	  </div><!-- end class main-wrap-->
 	</xsl:template>
-
 
 	<xsl:template name="additionalHeaderContent">