Index: main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml
===================================================================
--- main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml	(revision 34272)
+++ main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml	(revision 34281)
@@ -17,17 +17,18 @@
 	</metadataList>
 	<displayItemList>
-		<displayItem assigned="true" lang="en" name="description">A collection of Greenstone 3 learning materials
-and technical docs on server access
+		<displayItem assigned="true" lang="en" name="description"><p>A collection of Greenstone 3 learning materials
+and technical docs on server access</p>
 <ul>
-  <li>Tutorials on using Greenstone 3: zoom session videos and presentation slides</li>
-  <li>WMTB server instructions:
-  <ul>
-    <li>installing GS3 on the WMTB server from binary installer and from source,</li>
-    <li>configuring it as a remote Greenstone 3,</li>
-    <li>installing Cher&apos;s work</li>
-    <li>setting up a VPN connection to WMTB for ssh access</li>
-  </ul>
-  </li>
-</ul></displayItem>
+<li>Tutorials on using Greenstone 3: zoom session videos and presentation slides</li>
+<li>WMTB server instructions:
+<ul>
+<li>installing GS3 on the WMTB server from binary installer and from source,</li>
+<li>configuring it as a remote Greenstone 3,</li>
+<li>installing Cher's work</li>
+<li>setting up a VPN connection to WMTB for ssh access</li>
+</ul>
+</li>
+</ul>
+</displayItem>
 		<displayItem assigned="true" lang="en" name="smallicon">adorableBirdHome.jpg</displayItem>
 		<displayItem assigned="true" lang="en" name="icon">adorableBird.png</displayItem>
@@ -126,4 +127,10 @@
           </gsf:link>
           <xsl:call-template name="video-date-length-info"/>
+          <br /><i><b>Topics:</b></i><br />
+          <gsf:metadata name="dc.Description">
+            <separator>
+              <br/>
+            </separator>
+          </gsf:metadata>
         </td>
       </gsf:when>
@@ -156,9 +163,7 @@
               </gsf:link>
               <gsf:switch>
-              <gsf:metadata name="dc.Coverage"/>
-              <gsf:when test="exists">
-                - <b><gsf:metadata name="dc.Coverage"/></b>
-              </gsf:when>
-            </gsf:switch>
+                <gsf:metadata name="dc.Coverage"/>
+                <gsf:when test="exists">-<b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
+              </gsf:switch>
             </gsf:otherwise>
           </gsf:switch>
@@ -243,4 +248,10 @@
           </gsf:link>
           <xsl:call-template name="video-date-length-info"/>
+          <br /><i><b>Topics:</b></i><br />          
+          <gsf:metadata name="dc.Description">
+            <separator>
+              <br/>
+            </separator>
+          </gsf:metadata>
         </td>
       </gsf:when>
@@ -340,4 +351,10 @@
           </gsf:link>
           <xsl:call-template name="video-date-length-info"/>
+          <br /><i><b>Topics:</b></i><br />
+          <gsf:metadata name="dc.Description">
+            <separator>
+              <br/>
+            </separator>
+          </gsf:metadata>
         </td>
       </gsf:when>
@@ -370,5 +387,5 @@
           <gsf:switch>
             <gsf:metadata name="dc.Coverage"/>
-            <gsf:when test="exists"> -  <b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
+            <gsf:when test="exists"> -<b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
           </gsf:switch>
           <gsf:switch>
Index: main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34272)
+++ main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34281)
@@ -162,5 +162,4 @@
 		</Description>
 	</FileSet>
-
 	<FileSet>
 		<FileName>10 The Metadata CSV and Security Revisited_16July2020\.txt</FileName>
@@ -184,3 +183,54 @@
 		</Description>
 	</FileSet>
+	<FileSet>
+		<FileName>11 WMTBCollectionDesign_WithBrian_1_21July2020\.mp4</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">1:30 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 11: WMTB Collection Design with Brian pt1</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Brian</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Collection design</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Date">21 July 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Understanding Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Browsing Classifiers</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for the collection design</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>12 WMTBCollectionDesign_WithBrian_2a_22July2020\.mp4</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Creator">Brian</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
+			<Metadata mode="accumulate" name="dc.Date">23 July 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 12: WMTB Collection Design with Brian pt2a</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">2:15 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Collection design</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Understanding Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Browsing Classifiers</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for Browsing Classifier design</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>13 WMTBCollectionDesign_WithBrian_2b_22July2020\.mp4</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Creator">Brian</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
+			<Metadata mode="accumulate" name="dc.Date">23 July 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 13: WMTB Collection Design with Brian pt2b</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">1:15 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Collection design</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Browsing Classifiers</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for designing the Search Indexes</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for designing the display</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Search Indexes</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Numeric browsing classifiers</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">UnknownPlugin</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Using the UnknownPlugin to process videos</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>