Index: /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_ko.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_ko.properties	(revision 34293)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_ko.properties	(revision 34293)
@@ -0,0 +1,168 @@
+# This now contains the properties for all the core service racks
+
+## Service Names
+TextQuery.name:í
+ì€íž ê²ì
+TextQuery.description:ì ì²Ž í
+ì€íž and/or ë©íë°ìŽí ê²ì êž°ë¥
+TextQuery.submit:ê²ì
+
+FieldQuery.name:ì í ê²ì
+FieldQuery.description:ëšì ê²ì
+FieldQuery.submit:ê²ì
+
+AdvancedFieldQuery.name:ê³ êž ê²ì
+AdvancedFieldQuery.description:ê³ êžê²ì
+AdvancedFieldQuery.submit:ê²ì
+
+RawQuery.name:ëëµ ê²ì
+RawQuery.description:ëëµ ê²ì
+RawQuery.submit:ëëµ ê²ì
+
+ClassifierBrowse.name:ê²ì
+ClassifierBrowse.description:ë¶ë¥ë ê³ìžµ êµ¬ì¡°ë¡ íì
+ClassifierBrowse.classifier_help:{0}ë¡ ì°Ÿêž°
+
+PhindApplet.name:êµ¬ë¬ž ê²ì
+PhindApplet.description:ì¶ì¶êµ¬ë¬ž ê³ìžµê²ì
+
+# search parameters
+param.index:ê²ì í  ìžë±ì€
+param.indexSubcollection:íì ì»¬ë ì
+ ìžë±ì€
+param.indexLanguage:ìžìŽ ìžë±ì€
+param.maxDocs:ë°íì ìí ìµë íŽëŠ­
+param.query:Query string
+param.rawquery:Raw query string
+param.hitsPerPage:íìŽì§ ì¡°íì
+param.startPage:ììíë íìŽì§
+
+param.stem:ííì ë¶ì
+param.case:Turn casefolding
+param.accent:Turn accentfolding
+param.boolean.on:on
+param.boolean.off:off
+param.matchMode:ìŒì¹
+param.matchMode.all:all
+param.matchMode.some:some
+
+param.level:ê²ìí  ììžì±
+param.sortBy:ê²ìê²°ê³Œ ì ë ¬ì
+param.sortBy.1:ìì
+param.sortBy.0:ë¹ë ìì
+param.sortBy.rank:ìì
+param.sortBy.none:ë¹ë ìì
+param.sortOrder:ì ë ¬ ìì
+param.sortOrder.0:ìì°šì
+param.sortOrder.1:ì­ì°šì
+param.reverseSort:ë°ë ì ë ¬
+param.reverseSort.0:off
+param.reverseSort.1:on
+param.fqv:ëšìŽ í¹ì ë¬žì¥
+param.fqf:ìì­ ìì
+param.fqf.all:ëªšë  ìì­
+param.fqs:ì€êž°
+param.fqc:casefold
+param.fqk:
+param.fqk.0:AND
+param.fqk.1:OR
+param.fqk.2:NOT
+param.fqa:accentfold
+
+#levels 
+level.document:ëíë©íž
+level.Doc:ëíë©íž
+level.section:êµ¬í
+level.Sec:êµ¬í
+level.paragraph:êµ¬ì 
+level.Para:êµ¬ì 
+level.book:ì±
+
+level.books:ì±
+ë€
+level.chapter:ì¥
+level.chapters:ì¥ë€
+
+## Authentication
+Authentication.name:êŽëŠ¬ì íìŽì§
+Authentication.description:íì êŽëŠ¬ê° ê°ë¥í©ëë€.
+
+## Authentication services
+ListUsers.name:userName
+ListUsers.submit:íìž
+ListUsers.description:íì ëª
+ëš
+
+AddUser.name:userName
+AddUser.submit:íìž
+AddUser.description:add user
+
+## Authentication params
+param.un:username
+param.pw:ë¹ë°ë²íž
+param.com:comment
+param.boolean.enabled:ê°ë¥
+param.boolean.disabled:ë¹íì±
+param.as:ê³ì  ìí
+param.gp:ê·žë£¹
+param.npw:ì ë¹ë°ë²íž
+param.rnpw:ì ë¹ë°ë²íž ì¬ì
+ë ¥
+
+## Authentication errors
+auth.error.login:ë¡ê·žìžìŽ íìí íìŽì§ì
+ëë€.
+auth.error.incorrect_login:ìŽ íìŽì§ë¥Œ ìŽ ì ìë ì¬ì©ì ê·žë£¹ìŽ ìëëë€. ë€ë¥ž ì¬ì©ìë¡ ë¡ê·žìžì íìê² ìµëê¹?
+auth.error.un_or_pw_err:usernameìŽë passwordê° ë°ë¥Žì§ ììµëë€. ë€ì ìëíŽì£Œìžì.
+auth.error.no_permissions:ìŽ êž°ë¥ì ìíŽ ì¹ìžë ììŽëê° ìëëë€.
+auth.error.no_metadata_permissions:ë¡ê·žìžì íŽìŒë§ ë©íì ë³Žë¥Œ ìì í  ì ììµëë€.
+auth.error.not_logged_in:ìŽ íìŽì§ë ë¡ê·žìžìŽ íìí©ëë€.
+auth.error.admin_not_logged_in:ìŽ íìŽì§ë êŽëŠ¬ì ë¡ê·žìžìŽ íìí©ëë€.
+auth.error.could_not_get_user_info:ì¬ì©ì ì ë³Žë¥Œ ê°ì žì€ë ë° ì€ë¥ê° ììµëë€.
+auth.error.username_not_specified:UsernameìŽ ì
+ë ¥ëì§ ìììµëë€.
+auth.error.user_not_found:DBì ìì²­íì  ì¬ì©ìê° ììµëë€.
+auth.error.invalid_username:ì íí ì ì ëª
+ìŽ ë°ë¥Žì§ ììµëë€(2~30ì ìŽëŽë¡ a-z, A-Z, 0-9ì í¬íší '_'ë '.'ë§ì ì¬ì©)
+auth.error.no_password:ë¹ë°ë²ížê° ì
+ë ¥ëì§ ìììµëë€.
+auth.error.password_too_short:ì
+ë ¥íì  ë¹ë°ë²ížê° ëë¬Ž ì§§ìµëë€ (ìµì 3ì)
+auth.error.password_too_long:ì
+ë ¥íì  ë¹ë°ë²ížê° ëë¬Ž ê¹ëë€ (ìµë 64ì)
+auth.error.password_illegal_chars:ì
+ë ¥íì  ë¹ë°ë²ížì ì í©íì§ ìì êžìê° ììµëë€ (ascii charactersë§ ì íš)
+auth.error.incorrect_password:ì
+ë ¥í ë¹ë°ë²ížê° íë žìµëë€.
+auth.error.user_already_exists:ìŽ usernameì ìŽë¯ž ììµëë€. ë€ë¥ž ê²ì ì ííŽì£Œìžì.
+auth.error.add_user_error:ë°ìŽí°ë² ìŽì€ì ì¬ì©ì ì¶ê° ì€íš
+auth.error.remove_user_error:DBìì ìŽ ì¬ì©ìë¥Œ ì­ì íë ë° ìë¬ê° ë°ìíìµëë€.
+auth.error.captcha_failed:reCAPTCHA íìž ì€ ë¬žì ê° ë°ìíìµëë€.
+auth.error.captcha_missing:CAPTCHAì ì ë³Žê° ëëœëììµëë€.
+auth.error.connection_failed:reCAPTCHA ì¬ìŽíž ì°ê²°ì ë¬žì ê° ììµëë€. ëŒìŽëžë¬ëŠ¬ êŽëŠ¬ììê² ë¬žìíìžì.
+auth.error.not_authorised:ë¹ì ì ìŽ íìŽì§ ì ê·Œ ê¶íìŽ ììµëë€.
+auth.error.missing_params:íì ì ë³Žê° ë¶ì¡±í©ëë€: username, oldPassword, or newPassword
+auth.error.something_wrong:ë¯žìí©ëë€. ë­ê° ì ëª» ëìê³ , ìŽë íìŽì§ë¥Œ ìíìëì§ ëªšë¥Žê² ìµëë€.
+auth.success.account_settings:ììž ì ë³Žë¥Œ ì±ê³µì ìŒë¡ ìì íìµëë€.
+auth.success.edit_user:ì¬ì©ì {0}ì ììž ì ë³Žë¥Œ ìì íìµëë€.
+auth.success.delete_user:ì¬ì©ì {0}ì ì­ì íììµëë€.
+
+## CrossCollectionSearch specific strings
+CrossCollectionSearch.TextQuery.name:ì»¬ë ì
+ êµì°š ê²ì
+CrossCollectionSearch.TextQuery.description:ì¬ë¬ ì»¬ë ì
+ì ê²ì
+CrossCollectionSearch.TextQuery.submit:ê²ì
+CrossCollectionSearch.param.query:Query string
+CrossCollectionSearch.param.collection:ê²ìí  ì»¬ë ì
+
+CrossCollectionSearch.param.collection.all:ëªšë  ì»¬ë ì
+
+CrossCollectionSearch.param.maxDocs:ì»¬ë ì
+ ë¹ ìµë ë¬žì ì
+
+## LuceneSearch specific strings
+LuceneSearch.TextQuery.name:ê²ì
+LuceneSearch.TextQuery.description:ëšì XML ê²ì êž°ë¥
+LuceneSearch.TextQuery.submit:ê²ì
+LuceneSearch.param.query:query stringì ë£ìŒìžì.
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties	(revision 34293)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties	(revision 34293)
@@ -0,0 +1,173 @@
+#***** IMAGE URLS *****
+collapse_image:interfaces/__INTERFACE_NAME__/images/collapse.png
+chapter_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+bookshelf_image:interfaces/__INTERFACE_NAME__/images/bookshelf.png
+book_image:interfaces/__INTERFACE_NAME__/images/book.png
+blank_image:interfaces/__INTERFACE_NAME__/images/blankImage.png
+
+#***** TEXT FRAGMENTS *****
+# the buttons
+# tool tips for the buttons
+# months - used by replaceList in siteConfig. need to change to get from java..
+
+aboutpage:About page
+#***** logged in menu
+
+######################
+# system page
+#######################
+######################
+# about page
+#######################
+about.noservices:ìŽ ì»¬ë ì
+ìë ê°ë¥í êž°ë¥ìŽ ììµëë€.
+about.services:ê°ë¥í ì¶ê° êž°ë¥:
+about.servicehelp:ìë ë²íŒìŽë ë€ë¹ê²ìŽì
+ ë°ì ìë ìŽëŠì íŽëŠ­íì¬ êž°ë¥ì ì ê·Œíì€ ì ììµëë€. ë€ë¹ê²ìŽì
+ ë°ë ì»¬ë ì
+ ëªšë  íìŽì§ì ê±žì³ ììµëë€.
+about.standarddescriptiondays:ìŽ ì»¬ë ì
+ì {0-numdocs} ê±Žì ë¬žìë¥Œ í¬íšíë©° {1-date}ìŒ ì ì ë§ë šëììµëë€.
+about.standarddescriptiondate:ìŽ ì»¬ë ì
+ì {0-numdocs} ê±Žì ë¬žìë¥Œ í¬íšíë©° {1-date}ìŒ ì ì ë§ë šëììµëë€.
+
+#######################
+# query page
+########################
+
+# eg Displaying 1 to 20 of 42 sections/documents
+
+##################
+# prefs page
+##################
+##################
+# document page
+##################
+
+#########################################################
+#  User Comments section (available on a document page) #
+#########################################################
+
+##########################
+# Depositor Page
+##########################
+
+#####################
+#  Document Editing #
+#####################
+##################
+# authentication page
+##################
+authen.username:ì¬ì©ì ìŽëŠ
+authen.page_not_found:íìŽì§ë¥Œ ì°Ÿì ì ììµëë€.
+authen.submit:íìž
+authen.error_failed_to_add:ìë¬: ì¬ì©ì ì¶ê° ì€íš
+authen.user_added_success:ì¬ì©ì ì¶ê° ì±ê³µ
+authen.status:ìí
+authen.password:ë¹ë°ë²íž
+authen.account_status:ê³ì  ìí
+authen.enabled:íì©
+authen.disabled:ë¹íì±
+authen.groups:ê·žë£¹
+authen.add_group:ê·žë£¹ ì¶ê°
+authen.comment:Comment
+authen.email:ìŽë©ìŒ ì£Œì
+authen.add_a_new_user_title:ì ì¬ì©ì ì¶ê°
+authen.old_password:êµ¬ ë¹ë°ë²íž
+authen.new_password:ì ë¹ë°ë²íž
+authen.retype_password:ë¹ë°ë²íž ì¬ì
+ë ¥
+authen.edit_user_information:ì¬ì©ì ì ë³Ž êž°ë¡
+authen.list_of_current_users_title:íì¬ ì¬ì©ì ëª
+ëš
+authen.delete_warning:ì¬ì©ì ì­ì ë¥Œ ì§ì§ë¡ ìíì­ëê¹
+authen.edit:ížì§
+authen.delete:ì­ì 
+authen.authentication:êŽëŠ¬ íìŽì§
+authen.add_a_new_user:ì ì¬ì©ì ì¶ê°
+authen.register:ë±ë¡
+authen.account_settings:ê³ì  ì€ì 
+authen.change_password:ë¹ë°ë²íž ìì 
+authen.reset_password:ë¹ë°ë²íž ì¬ì€ì 
+authen.register_as_new:ì ì¬ì©ìë¡ ë±ë¡
+authen.group_desc:ê·žë£¹ ìŽëŠì ìœ€ë§ë¡ êµ¬ë¶í©ëë€. ê·žë£¹ ìŽëŠì ì² ë£ê±°ë ëª
+ëšìì ê³ ë¥Žìê³  'Add Group'ì íŽëŠ­íìžì.
+authen.admin_desc:'Administrator'ë ì¬ì©ì êŽëŠ¬ê° ê°ë¥í©ëë€.
+authen.all_coll_edit_desc:'all-collections-editor'ë ëªšë  ì»¬ë ì
+ ížì§ìŽ ê°ë¥í©ëë€.
+authen.pers_coll_edit_desc:'personal-collections-editor'ì GLIìì ì¬ì©ìê° ë§ë  ëªšë  ì»¬ë ì
+ì êŽëŠ¬í  ì ììµëë€.
+authen.single_coll_edit_desc:'COLLNAME-collection-editor'ì í¹ì  ì»¬ë ì
+ì êŽëŠ¬í  ì ììµëë€ (COLLNAMEì í¹ì  ì»¬ë ì
+ ìŽëŠìŒë¡ êµì²Ž)
+
+##################
+# RSS page  #
+###################
+
+##############
+# Basket common strings
+####################
+basket.expand:íì¥
+basket.collapse:íìŽ
+basket.clear:ë°êµ¬ë ë¹ì°êž°
+
+###################
+# Document basket #
+###################
+db.doc_basket:ëê·ë©íž ë°êµ¬ë
+db.access_denied:ì ì ê±°ë¶
+
+###################
+# Human Verification Page
+#######################
+
+###################
+# Error Page
+###################
+
+#####################
+#  Berry Baskets    #
+#####################
+
+berry.title:ë°êµ¬ë
+
+berry.full_view:ì ì²Ž ë³Žêž°
+berry.text_view:í
+ì€íž ë³Žêž°
+berry.email_view:Email
+berry.help:ë¬žìë¥Œ Drag & dropíì¬ ë¹ì ì ë°êµ¬ëì ëŽìŒìžì.
+berry.full:ì ì²Ž ë³Žêž° Â»
+berry.to:To:
+berry.cc:ì°žì¡°
+berry.bcc:BCC:
+berry.subject:ì ëª©
+berry.send:Send
+berry.url_only:URLë§ ë³Žêž°
+berry.url_and_metadata:URLê³Œ ë©íë°ìŽí ë³Žêž°
+berry.empty_basket:ë¹ì ì ë°êµ¬ëë í
+
+ ë¹ììµëë€.
+berry.doc_name:ID
+berry.doc_title:ì ëª©
+berry.doc_collection:ìœë ì
+
+berry.doc_date:ë ì§
+berry.doc_root_title:ì ì²Ž ì ëª©
+berry.send_success:ë©ìŒ ë³ŽëŽêž° ì±ê³µ
+berry.send_fail:ë©ìŒ ë³ŽëŽêž° ìì­
+berry.invalid_to_address_empty:ì£Œì ìì­ìŽ ë¹ìŽ ììŒë©Ž ìë©ëë€.
+berry.invalid_to_address:ì£Œì ìì­ìë ìŽë©ìŒ ì£Œìë¥Œ ì
+ë ¥í©ëë€.
+berry.invalid_msg_body_empty:í
+ì€íž ìì­ìŽ ë¹ìŽ ìì ì ììµëë€.
+
+berry.delete_help:ê°ë³ ì¬í­ì ì­ì íë €ë©Ž ê·ž ììŽìœì íŽì§íµìŒë¡ ëëê·žíìžì.
+
+berry.select_all:ëªšë ì í
+berry.delete_selected:ì íë ê² ì­ì 
+berry.delete_all:ëªšë ì­ì 
+##################################
+# About Greenstone page
+##################################
+