Index: main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34281)
+++ main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34301)
@@ -190,10 +190,10 @@
 			<Metadata mode="accumulate" name="dc.Title">Zoom 11: WMTB Collection Design with Brian pt1</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Brian</Metadata>
-			<Metadata mode="accumulate" name="dc.Subject">Collection design</Metadata>
-			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
 			<Metadata mode="accumulate" name="dc.Date">21 July 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Collection design</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Browsing Classifiers</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Understanding Format Statements</Metadata>
-			<Metadata mode="accumulate" name="dc.Subject">Browsing Classifiers</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for the collection design</Metadata>
 		</Description>
@@ -209,7 +209,7 @@
 			<Metadata mode="accumulate" name="dc.Subject">Collection design</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Browsing Classifiers</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Understanding Format Statements</Metadata>
-			<Metadata mode="accumulate" name="dc.Subject">Browsing Classifiers</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for Browsing Classifier design</Metadata>
 		</Description>
@@ -224,12 +224,41 @@
 			<Metadata mode="accumulate" name="dc.Coverage">1:15 hrs</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Collection design</Metadata>
-			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Browsing Classifiers</Metadata>
-			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for designing the Search Indexes</Metadata>
-			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for designing the display</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Search Indexes</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Numeric browsing classifiers</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">UnknownPlugin</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Implementing the Browsing Classifiers blue-print</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Using the UnknownPlugin to process videos</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for designing the Search Indexes</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Implementing the Search Indexes blue-print</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for designing the metadata display</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>14 FormatStatements_WithBrian_3_29July2020\.mp4</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 14: Format Statements with Brian</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Brian</Metadata>
+			<Metadata mode="accumulate" name="dc.Date">29 July 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">1:50 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Search Indexes</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Collection design</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Equivalent Documents</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Associated Files</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">gsf switch</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">gsf metadata</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Adding an index to search over all search indexes</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Associated Files aka Equivalent Documents</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Configuring TextPlugin for lyrics in text with associated mp3</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Tweaking format statement to display EquivalentDoc icon</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Working with Format Statements</Metadata>			
+			<Metadata mode="accumulate" name="dc.Description">Implementing the metadata display blue-print</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">The gsf switch format statement to selectively control display</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Displaying select metadata in Browse and Search statements</Metadata>			
+			<Metadata mode="accumulate" name="dc.Description">Selectively removing unwanted portions of browse and search display</Metadata>
 		</Description>
 	</FileSet>