Index: /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml	(revision 34301)
+++ /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml	(revision 34302)
@@ -50,5 +50,5 @@
 	</displayItemList>
 	<format>
-			<gsf:template name="video-date-length-info"><br/>Date:<gsf:metadata name="dc.Date"/><br/>Duration:<gsf:metadata name="dc.Coverage"/></gsf:template>
+			<gsf:template name="video-date-length-info"><br/>Date:Â <gsf:metadata name="dc.Date"/><br/>Duration:Â <gsf:metadata name="dc.Coverage"/></gsf:template>
 			<gsf:template name="choose-title">
 				<gsf:choose-metadata>
@@ -113,65 +113,69 @@
 		<searchType name="simpleform"/>
 		<searchType name="advancedform"/>
-		<format>  <gsf:template match="documentNode">
-    <gsf:switch>
-      <gsf:metadata name="dc.Type"/>
-      <gsf:when test="equals" test-value="video">
-        <td colspan="3" valign="top">
-          <gsf:link type="source">
-            <gsf:metadata name="srcicon"/>
-          </gsf:link>
-        </td>
-        <td>
-          <gsf:link type="source">
-            <xsl:call-template name="choose-title"/>
-          </gsf:link>
-          <xsl:call-template name="video-date-length-info"/>
-          <br /><i><b>Topics:</b></i><br />
-          <gsf:metadata name="dc.Description">
-            <separator>
-              <br/>
-            </separator>
-          </gsf:metadata>
-        </td>
-      </gsf:when>
-      <gsf:otherwise>
-        <td valign="top">
-          <gsf:link type="document">
-            <gsf:icon type="document"/>
-          </gsf:link>
-        </td>
-        <td valign="top">
-          <gsf:link type="source">
-            <gsf:choose-metadata>
-              <gsf:metadata name="thumbicon"/>
-              <gsf:metadata name="srcicon"/>
-            </gsf:choose-metadata>
-          </gsf:link>
-        </td>
-        <td valign="top">
-          <gsf:metadata name="equivDocLink"/>
-          <gsf:metadata name="equivDocIcon"/>
-          <gsf:metadata name="/equivDocLink"/>
-        </td>
-        <td>
-          <gsf:switch>
-            <gsf:metadata name="Title" select="parent"/>
-            <gsf:when test="exists"><xsl:call-template name="choose-title"/> of<gsf:metadata name="dc.Title" select="root"/></gsf:when>
-            <gsf:otherwise>
-              <gsf:link type="document">
-                <xsl:call-template name="choose-title"/>
-              </gsf:link>
-              <gsf:switch>
-                <gsf:metadata name="dc.Coverage"/>
-                <gsf:when test="exists">-<b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
-              </gsf:switch>
-            </gsf:otherwise>
-          </gsf:switch>
-        </td>
-      </gsf:otherwise>
-    </gsf:switch>
-  </gsf:template>
-
-</format>
+		<format>
+			<gsf:template match="documentNode">
+				<gsf:switch>
+					<gsf:metadata name="dc.Type"/>
+					<gsf:when test="equals" test-value="video">
+						<td colspan="3" valign="top">
+							<gsf:link type="source">
+								<gsf:metadata name="srcicon"/>
+							</gsf:link>
+						</td>
+						<td>
+							<gsf:link type="source">
+								<xsl:call-template name="choose-title"/>
+							</gsf:link>
+							<xsl:call-template name="video-date-length-info"/>
+							<br/>
+							<i>
+								<b>Topics:</b>
+							</i>
+							<br/>
+							<gsf:metadata name="dc.Description">
+								<separator>
+									<br/>
+								</separator>
+							</gsf:metadata>
+						</td>
+					</gsf:when>
+					<gsf:otherwise>
+						<td valign="top">
+							<gsf:link type="document">
+								<gsf:icon type="document"/>
+							</gsf:link>
+						</td>
+						<td valign="top">
+							<gsf:link type="source">
+								<gsf:choose-metadata>
+									<gsf:metadata name="thumbicon"/>
+									<gsf:metadata name="srcicon"/>
+								</gsf:choose-metadata>
+							</gsf:link>
+						</td>
+						<td valign="top">
+							<gsf:metadata name="equivDocLink"/>
+							<gsf:metadata name="equivDocIcon"/>
+							<gsf:metadata name="/equivDocLink"/>
+						</td>
+						<td>
+							<gsf:switch>
+								<gsf:metadata name="Title" select="parent"/>
+								<gsf:when test="exists"><xsl:call-template name="choose-title"/> of<gsf:metadata name="dc.Title" select="root"/></gsf:when>
+								<gsf:otherwise>
+									<gsf:link type="document">
+										<xsl:call-template name="choose-title"/>
+									</gsf:link>
+									<gsf:switch>
+										<gsf:metadata name="dc.Coverage"/>
+										<gsf:when test="exists">-<b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
+									</gsf:switch>
+								</gsf:otherwise>
+							</gsf:switch>
+						</td>
+					</gsf:otherwise>
+				</gsf:switch>
+			</gsf:template>
+		</format>
 	</search>
 	<infodb type="jdbm"/>
@@ -184,5 +188,4 @@
 			</plugin>
 			<plugin name="HTMLPlugin"/>
-			<plugin name="EmailPlugin"/>
 			<plugin name="PDFv2Plugin">
 				<option name="-convert_to" value="paged_pretty_html"/>
@@ -196,6 +199,4 @@
 				<option name="-process_extension" value="docx"/>
 			</plugin>
-			<plugin name="RTFPlugin"/>
-			<plugin name="WordPlugin"/>
 			<plugin name="UnknownPlugin">
 				<option name="-file_format" value="MPEG"/>
@@ -204,11 +205,4 @@
 				<option name="-process_extension" value="mp4"/>
 			</plugin>
-			<plugin name="PostScriptPlugin"/>
-			<plugin name="PowerPointPlugin"/>
-			<plugin name="ExcelPlugin"/>
-			<plugin name="ImagePlugin"/>
-			<plugin name="ISISPlugin"/>
-			<plugin name="NulPlugin"/>
-			<plugin name="OAIPlugin"/>
 			<plugin name="MetadataXMLPlugin"/>
 			<plugin name="ArchivesInfPlugin"/>
@@ -248,5 +242,9 @@
           </gsf:link>
           <xsl:call-template name="video-date-length-info"/>
-          <br /><i><b>Topics:</b></i><br />          
+          <br/>
+          <i>
+            <b>Topics:</b>
+          </i>
+          <br/>
           <gsf:metadata name="dc.Description">
             <separator>
@@ -327,97 +325,108 @@
 			<option name="-buttonname" value="Source"/>
 		</classifier>
-		<format>  <gsf:template match="documentNode">
-    <gsf:switch>
-      <gsf:metadata name="dc.Type"/>
-      <gsf:when test="equals" test-value="video">
-        <td valign="top">
-          <gsf:link type="source">
-            <gsf:metadata name="srcicon"/>
-          </gsf:link>
-        </td>
-        <td valign="top">
-          <gsf:link type="source">
+		<classifier name="List">
+			<option name="-metadata" value="dc.Format"/>
+			<option name="-bookshelf_type" value="always"/>
+			<option name="-partition_type_within_level" value="none"/>
+			<option name="-sort_leaf_nodes_using" value="dc.Title"/>
+			<option name="-buttonname" value="WMTB Collection Design with Brian"/>
+		</classifier>
+		<format>
+			<gsf:template match="documentNode">
+				<gsf:switch>
+					<gsf:metadata name="dc.Type"/>
+					<gsf:when test="equals" test-value="video">
+						<td valign="top">
+							<gsf:link type="source">
+								<gsf:metadata name="srcicon"/>
+							</gsf:link>
+						</td>
+						<td valign="top">
+							<gsf:link type="source">
 <!--
 Defined in the global format statement
 -->
-            <xsl:call-template name="choose-title"/>
-            <gsf:switch>
-              <gsf:metadata name="Source"/>
-              <gsf:when test="exists">
-                <br/>
-                <i>(<gsf:metadata name="Source"/>)</i>
-              </gsf:when>
-            </gsf:switch>
-          </gsf:link>
-          <xsl:call-template name="video-date-length-info"/>
-          <br /><i><b>Topics:</b></i><br />
-          <gsf:metadata name="dc.Description">
-            <separator>
-              <br/>
-            </separator>
-          </gsf:metadata>
-        </td>
-      </gsf:when>
-      <gsf:otherwise>
-        <td valign="top">
-          <gsf:link type="document">
-            <gsf:icon type="document"/>
-          </gsf:link>
-        </td>
-        <td valign="top">
-          <gsf:link type="source">
-            <gsf:choose-metadata>
-              <gsf:metadata name="thumbicon"/>
-              <gsf:metadata name="srcicon"/>
-            </gsf:choose-metadata>
-          </gsf:link>
-        </td>
-        <td valign="top">
-          <gsf:metadata name="equivDocLink"/>
-          <gsf:metadata name="equivDocIcon"/>
-          <gsf:metadata name="/equivDocLink"/>
-        </td>
-        <td valign="top">
-          <gsf:link type="document">
+								<xsl:call-template name="choose-title"/>
+								<gsf:switch>
+									<gsf:metadata name="Source"/>
+									<gsf:when test="exists">
+										<br/>
+										<i>(<gsf:metadata name="Source"/>)</i>
+									</gsf:when>
+								</gsf:switch>
+							</gsf:link>
+							<xsl:call-template name="video-date-length-info"/>
+							<br/>
+							<i>
+								<b>Topics:</b>
+							</i>
+							<br/>
+							<gsf:metadata name="dc.Description">
+								<separator>
+									<br/>
+								</separator>
+							</gsf:metadata>
+						</td>
+					</gsf:when>
+					<gsf:otherwise>
+						<td valign="top">
+							<gsf:link type="document">
+								<gsf:icon type="document"/>
+							</gsf:link>
+						</td>
+						<td valign="top">
+							<gsf:link type="source">
+								<gsf:choose-metadata>
+									<gsf:metadata name="thumbicon"/>
+									<gsf:metadata name="srcicon"/>
+								</gsf:choose-metadata>
+							</gsf:link>
+						</td>
+						<td valign="top">
+							<gsf:metadata name="equivDocLink"/>
+							<gsf:metadata name="equivDocIcon"/>
+							<gsf:metadata name="/equivDocLink"/>
+						</td>
+						<td valign="top">
+							<gsf:link type="document">
 <!--
 Defined in the global format statement
 -->
-            <xsl:call-template name="choose-title"/>
-          </gsf:link>
-          <gsf:switch>
-            <gsf:metadata name="dc.Coverage"/>
-            <gsf:when test="exists"> -<b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
-          </gsf:switch>
-          <gsf:switch>
-            <gsf:metadata name="Source"/>
-            <gsf:when test="exists">
-              <br/>
-              <i>(<gsf:metadata name="Source"/>)</i>
-            </gsf:when>
-          </gsf:switch>
-        </td>
-      </gsf:otherwise>
-    </gsf:switch>
-  </gsf:template>
-  <gsf:template match="classifierNode[@classifierStyle = 'VList']">
-    <td valign="top">
-      <gsf:link style="static" type="classifier">
-        <gsf:icon type="classifier"/>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:link type="classifier">
-        <gsf:metadata name="Title"/>
-      </gsf:link>
-    </td>
-    <td valign="top">(<gsf:metadata name="numleafdocs"/>)</td>
-  </gsf:template>
-  <gsf:template match="classifierNode[@classifierStyle = 'HList']">
-    <gsf:link style="static" type="classifier">
-      <gsf:metadata name="Title"/>
-    </gsf:link>
-  </gsf:template>
-
-</format>
+								<xsl:call-template name="choose-title"/>
+							</gsf:link>
+							<gsf:switch>
+								<gsf:metadata name="dc.Coverage"/>
+								<gsf:when test="exists"> -<b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
+							</gsf:switch>
+							<gsf:switch>
+								<gsf:metadata name="Source"/>
+								<gsf:when test="exists">
+									<br/>
+									<i>(<gsf:metadata name="Source"/>)</i>
+								</gsf:when>
+							</gsf:switch>
+						</td>
+					</gsf:otherwise>
+				</gsf:switch>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
+				<td valign="top">
+					<gsf:link style="static" type="classifier">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="classifier">
+						<gsf:metadata name="Title"/>
+					</gsf:link>
+				</td>
+				<td valign="top">(<gsf:metadata name="numleafdocs"/>)</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'HList']">
+				<gsf:link style="static" type="classifier">
+					<gsf:metadata name="Title"/>
+				</gsf:link>
+			</gsf:template>
+		</format>
 	</browse>
 	<display>
Index: /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34301)
+++ /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34302)
@@ -197,4 +197,6 @@
 			<Metadata mode="accumulate" name="dc.Description">Understanding Format Statements</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for the collection design</Metadata>
+		
+			<Metadata mode="accumulate" name="dc.Format">WMTB collection design</Metadata>
 		</Description>
 	</FileSet>
@@ -213,4 +215,6 @@
 			<Metadata mode="accumulate" name="dc.Description">Understanding Format Statements</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for Browsing Classifier design</Metadata>
+		
+			<Metadata mode="accumulate" name="dc.Format">WMTB collection design</Metadata>
 		</Description>
 	</FileSet>
@@ -234,10 +238,12 @@
 			<Metadata mode="accumulate" name="dc.Description">Implementing the Search Indexes blue-print</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Creating a blue-print for designing the metadata display</Metadata>
-		</Description>
-	</FileSet>
-	<FileSet>
-		<FileName>14 FormatStatements_WithBrian_3_29July2020\.mp4</FileName>
-		<Description>
-			<Metadata mode="accumulate" name="dc.Title">Zoom 14: Format Statements with Brian</Metadata>
+		
+			<Metadata mode="accumulate" name="dc.Format">WMTB collection design</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>14 FormatStatements_WithBrian_3a_29July2020\.mp4</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 14: Format Statements with Brian pt1</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Brian</Metadata>
 			<Metadata mode="accumulate" name="dc.Date">29 July 2020</Metadata>
@@ -256,9 +262,33 @@
 			<Metadata mode="accumulate" name="dc.Description">Configuring TextPlugin for lyrics in text with associated mp3</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Tweaking format statement to display EquivalentDoc icon</Metadata>
-			<Metadata mode="accumulate" name="dc.Description">Working with Format Statements</Metadata>			
+			<Metadata mode="accumulate" name="dc.Description">Working with Format Statements</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Implementing the metadata display blue-print</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">The gsf switch format statement to selectively control display</Metadata>
-			<Metadata mode="accumulate" name="dc.Description">Displaying select metadata in Browse and Search statements</Metadata>			
+			<Metadata mode="accumulate" name="dc.Description">Displaying select metadata in Browse and Search statements</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Selectively removing unwanted portions of browse and search display</Metadata>
+		
+			<Metadata mode="accumulate" name="dc.Format">WMTB collection design</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>15 FormatStatements_WithBrian_3b_30July2020\.mp4</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">1:45 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 15: Format Statements with Brian pt2</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Designing the basic WMTB collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Implementing the metadata display blue-print</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">gsf switch</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">gsf metadata</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Displaying select metadata in Browse and Search statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">defining templates</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">calling templates</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Defining reusable templates in the global format statement</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Calling reusable templates from search and browse format statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Date">30 July 2020</Metadata>
+			
+			<Metadata mode="accumulate" name="dc.Subject">reusable templates</Metadata>
+			<Metadata mode="accumulate" name="dc.Format">WMTB collection design</Metadata>
 		</Description>
 	</FileSet>