Index: /main/trunk/gli/classes/dictionary_es.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_es.properties	(revision 34331)
+++ /main/trunk/gli/classes/dictionary_es.properties	(revision 34332)
@@ -532,4 +532,13 @@
 ExportAsPrompt.MappingXML_Tooltip:Usar un fichero de mapeo para convertir los ficheros exportados.
 #
+#***** Export/Convert Metadata to CSV *****
+MetaToCSV.Choose:Seleccione
+MetaToCSV.ExportAction:Exportar
+MetaToCSV.ConvertAction:Convertir
+MetaToCSV.CSVFileExtensionType:Archivo CSV (*.csv)
+MetaToCSV.ChooseMetaCSVFile:{0} metadatos desde el GLI a un nuevo archivo CSV o agregar a uno existente
+MetaToCSV.ConvertMetaXMLToCSV_Warning_Message:Aviso, esto eliminirÃ¡ todos los metadatos del GLI (archivos metadata.xml) luego de exportarlos a CSV.\n Esto significa que no podrÃ¡ volver a editar estos metadatos desde el GLI.\nContinuar?
+MetaToCSV.ConvertMetaXMLToCSV_Failed_Message:Fallo al exportar el contenido de los archivos metadata.xml de la colecciÃ³n a CSV. No se eliminarÃ¡n los archivos metadata.xml.
+#
 #***** Inherited Metadata *****
 ExtractedMetadata.Message:El archivo o carpeta seleccionada contiene metadatos extraÃ­dos, los cuales estÃ¡n ocultos. Para verlos vaya al menÃº "[A]rchivo" y seleccione la opciÃ³n "[P]referencias". En la hoja de propiedades "Generales" seleccione "Ver metadatos extraÃ­dos" y haga click en "[A]ceptar".
@@ -781,4 +790,6 @@
 Menu.File_Exit:Salir
 Menu.File_ExportAs:Exportar...
+Menu.File_ExportMeta:Exportar los metadatos a CSV...
+Menu.File_ConvertMetaToCSV:Convertir los metadatos a CSV...
 Menu.File_New:Nueva...
 Menu.File_Open:Abrir...
@@ -972,7 +983,18 @@
 
 #***** ConfigFileEditor *****
-ConfigFileEditor.Tooltip:Editor XML de la configuraciÃ³n de la colecciÃ³n de Greenstone 3.
 ConfigFileEditor.Save_Tooltip:Guardar cambios y cerrar.
 ConfigFileEditor.Cancel_Tooltip:Cerrar sin guardar.
+ConfigFileEditor.Add_Element_Label:Agregar elemento a:
+ConfigFileEditor.Add_Label:Agregar
+ConfigFileEditor.Add_Element_Tooltip:Seleccione el elemento a agregar (relacionado a la seguridad) al archivo de configuraciÃ³n de la colecciÃ³n y luego edite el nuevo elemento agregado de manera apropiada.
+ConfigFileEditor.Hide_Collection:Ocultar la colecciÃ³n
+ConfigFileEditor.Secure_Collection:Proteger la colecciÃ³n
+ConfigFileEditor.Secure_All_Documents:Proteger todos los documentos en esta colecciÃ³n
+ConfigFileEditor.Secure_Certain_Documents:Proteger algunos documentos en esta colecciÃ³n
+ConfigFileEditor.Add_Another_DocumentSet:Agregar otro elemento documentSet
+ConfigFileEditor.Add_Another_Exception:Agregar otro elemento de excepciÃ³n
+ConfigFileEditor.Press_Undo_Once_More_First:No puede agregar a la configuraciÃ³n de la colecciÃ³n ya que estÃ¡ vacÃ­a. Intente primero presionar Deshacer (una vez mÃ¡s) para obtener una configuraciÃ³n previa antes de intentar agregar nuevos elementos a ella.
+ConfigFileEditor.Need_Security_Element_To_Add:Dado que no hay ningÃºn elemento <security> en collectionConfig.xml, no puede agregar elemento a Ã©l. Intente primero una de las opciones Secure... antes de intentar con esta opciÃ³n nuevamente.
+ConfigFileEditor.Config_Already_Has_Security_Element:El archivo collectionConfiguration.xml ya posee un elemento <security>, no puede agregar ninguno mÃ¡s. Quite el existente de manera completa antes de intentar agregar uno nuevo.
 
 #**********************
Index: /main/trunk/greenstone2/perllib/strings_es.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings_es.properties	(revision 34331)
+++ /main/trunk/greenstone2/perllib/strings_es.properties	(revision 34332)
@@ -580,4 +580,6 @@
 AZSectionList.desc:VariaciÃ³n de AZList que clasifica secciones antes que documentos. Las entradas se ordenan por metadatos de nivel de secciÃ³n.
 
+BasClas.accentfold:Remover todos los acentos (diacrÃ­ticos) antes de ordenar los metadatos.
+BasClas.casefold:Convertir a minÃºscula los metadatos para su ordenamiento.
 BasClas.bad_general_option:El clasificador %s utiliza una opciÃ³n incorrecta. Revise su archivo de configuraciÃ³n collect.cfg.
 
@@ -596,5 +598,5 @@
 BasClas.removesuffix:Un sufijo que al clasificar se debe ignorar en los valores de los metadatos.
 
-BasClas.verbosity:Controla la cantidad de mensajes mostrados. 0=ninguno, 3=muchos.
+BasClas.verbosity:Controla la cantidad de mensajes mostrados durante la construcciÃ³n. 0=ninguno, 3=muchos.
 
 Browse.desc:Clasificador falso que ofrece un enlace en la barra de navegaciÃ³n a un prototipo de pÃ¡gina que combina bÃºsqueda y exploraciÃ³n. SÃ³lo funciona con colecciones de MGPP, y sÃ³lo es Ãºtil para pequeÃ±as colecciones.
@@ -638,5 +640,17 @@
 HTML.url:El url de la pÃ¡gina web para unirse a.
 
-List.bookshelf_type:Controla cuando crear estantes
+List.desc:Clasificador de tipo lista general y flexible con muchas de las opciones de AZCompactList, pero con mejor capacidad de ordenaciÃ³n Unicode.
+
+List.metadata:Campos de metadatos usados para la clasificaciÃ³n. Use '/' para separar los niveles de la jerarquÃ­a y ';' o ',' para separar los campos de metadatos dentro de cada nivel.
+List.metadata_selection_mode_within_level:Determina por cuantos valores de metadatos serÃ¡ clasificado el documento, dentro de cada nivel. Use '/' para separar los niveles.
+List.metadata_selection.firstvalue:Clasificar solamente por un valor de metadato, el primero encontrado.
+List.metadata_selection.firstvalidmetadata:Clasificar por todos los valores de metadatos del primer elemento de la lista que tenga algÃºn valor.
+List.metadata_selection.allvalues:Clasificar por todos los valores de metadatos encontrados, de todos los elementos en la lista.
+List.metadata_sort_mode_within_level:CÃ³mo ordenar los valores de los metadatos dentro de cada particiÃ³n. Utilice '/' para separar los niveles.
+List.metadata_sort.unicode:Ordenar usando el algoritmo del juego de caracteres Unicode. Requiere el archivo  http://www.unicode.org/Public/UCA/latest/allkeys.txt descargado en la carpeta lib/Unicode/Collate.
+List.metadata_sort.alphabetic:Ordenar utilizando el orden alfabÃ©tico, incluyendo a los dÃ­gitos. Por ejemplo, 10 se ordenarÃ­a antes que 9.
+List.metadata_sort.alphanumeric:Ordenar utilizando un orden mÃ¡s natural, en donde los dÃ­gitos son tratados como nÃºmeros y ordenados numÃ©ricamente. Por ejemplo, 10 serÃ­a ordenado despuÃ©s del 9.
+
+List.bookshelf_type:Controla cuando crear estantes. Esto solo aplica al Ãºltimo nivel. Otros niveles tendrÃ¡n como valor bookshelf_type = always (siempre).
 List.bookshelf_type.always:Crea un Ã­cono de estante aun cuando haya en cada grupo un Ãºnico nodo hijo.
 List.bookshelf_type.never:Nunca crear un icono de estante aun cuando existan mÃ¡s de un item en cada grupo.
@@ -645,33 +659,29 @@
 List.classify_sections:Clasifica secciones en lugar de documentos.
 
-List.desc:Clasificador de lista general y flexible con muchas de las posibilidades de AZCompactList, pero con mejor capacidad de ordenaciÃ³n, metadatos y Unicode.
+List.partition_type_within_level:Tipo de particiÃ³n hecha: puede ser 'per_letter' (por letra), 'constant_size' (tamaÃ±o constante) o 'none' (ninguna). Separe los niveles con '/'.
+List.numeric_partition_type_within_level:Tipo de particionamiento hecho en cada nivel, para aquellos valores que comienan con dÃ­gitos 0-9. Separe los niveles con '/'.
+List.level_partition.none:Ninguno. AplicarÃ¡ al nivel entero, tanto para valores numÃ©ricos como no numÃ©ricos. Por ejemplo, especificar "Ninguno" en partition_type_within_level o en numeric_partition_type_within_level  tendrÃ¡ como resultado que ambas opciones se configuren como "Ninguno".
+List.level_partition.per_letter:Crear una particiÃ³n para cada letra (caracter de la palabra)
+List.level_partition.per_digit:Crear una particiÃ³n por cada dÃ­gito del 0-9.
+List.level_partition.per_number:Crear una particiÃ³n por cada nÃºmero. Controle cuantos dÃ­gitos son usados para crear nÃºmeros usando la opciÃ³n -numeric_partition_name_length_within_level.
+List.level_partition.single:Crear una sola particiÃ³n '0-9' para todos los valores que comienzan con dÃ­gitos.
+List.level_partition.constant_size:Crear particiones de tamaÃ±o constante
+List.level_partition.approximate_size:Crear una particiÃ³n por letra, y luego, agrupar o dividir las letras para obtener particiones del mismo tamaÃ±o.
+List.level_partition.approximate_size_numeric:Crear una particiÃ³n por nÃºmero (usando -numeric_partition_name_length_within_level para determinar cuantos dÃ­gitos incluir en el nÃºmero) y luego agrupar o dividir las particiones para tener particiones del mismo tamaÃ±o aproximadamente.
+List.level_partition.all_values:Crear una particiÃ³n por cada valor de metadato.
+List.partition_size_within_level:NÃºmero de elementos en cada particiÃ³n (sÃ³lo se aplica cuando partition_type_within_level se establece a 'constant_size'). Puede especificarse para cada nivel. Separe los niveles con '/'.
+List.numeric_partition_size_within_level:El nÃºmero de items en cada particiÃ³n numÃ©rica (solo aplica cuando -numeric_partition_type_within_level se fija como 'constant_size' o 'approximate_size'). Puede especificarse para cada nivel. Separar los niveles con '/'.
+List.numeric_partition_name_length_within_level:Controlar cuÃ¡ntos digitos consecutivos son agrupados para crear el el nombre de la particiÃ³n numÃ©rica. -1 implica todos los dÃ­gitos.
+List.partition_name_length:Longitud del nombre de la particiÃ³n: el valor predefinido es una longitud variable de entre 1 y 3 caracteres, dependiendo de cuÃ¡ntos son necesarios para distinguir el principio de la particiÃ³n de su final. Esta opciÃ³n sÃ³lo se aplica cuando partition_type_within_level se marca como 'constant_size' o 'approximate_size'.
+List.partition_sort_mode_within_level:CÃ³mo ordenar los valores de los metadatos para crear las particiones.
+List.numeric_partition_sort_mode_within_level:CÃ³mo ordenar los valores numÃ©ricos para crear las particiones numÃ©ricas.
+List.numbers_first:Ordenar los nÃºmeros al comienzo de la lista. (Por defecto, los valores de metadatos que comienzan con nÃºmeros son ordenados al final).
+List.sort_leaf_nodes_using:Campos de metadatos usados para ordenar los nodos anidados. Use '|' para separar los grupos de metadatos para ordenaciÃ³n estable y ';' para separar campos de metadatos dentro de cada grupo.
+List.sort_leaf_nodes_sort_mode:CÃ³mo ordenar los metadatos de los nodos hojas.
+List.reverse_sort_leaf_nodes:Ordenar los documentos de manera inversa.
+List.sort_using_unicode_collation:Esto invalidarÃ¡ todos los argumentos de ordenamiento: todos serÃ¡n configurados como 'unicode'.
 List.filter_metadata:Elemento de metadato a evaluar para incluir un documento en un clasificador. Los documentos se incluirÃ¡n si definen este metadato.
 List.filter_regex:ExpresiÃ³n regular a usar en la condiciÃ³n filter_metadata. Si se especifica una expresiÃ³n regular, sÃ³lo se incluirÃ¡n los documentos con filter_metadata que coincidan con dicha expresÃ­on.
-List.level_partition.none:Ninguno.
-List.level_partition.per_letter:Crear una particiÃ³n para cada letra.
-List.level_partition.constant_size:Crear particiones de tamaÃ±o constante
-List.level_partition.approximate_size:Crear una particiÃ³n por letra, y luego, agrupar o dividir las letras para obtener particiones del mismo tamaÃ±o.
-
-List.metadata:Campos de metadatos usados para la clasificaciÃ³n. Use '/' para separar los niveles de la jerarquÃ­a y ';' o ',' para separar los campos de metadatos dentro de cada nivel.
-
-List.metadata_selection_mode:Determina por cuÃ¡ntos valores de metadatos serÃ¡ clasificado el documento, dentro de cada nivel. Use "/" para separar niveles.
-List.metadata_selection.firstvalue:Clasificar solamente por un valor de metadato, el primero encontrado.
-List.metadata_selection.firstvalidmetadata:Clasificar por todos los valores de metadatos del primer elemento de la lista que tenga algÃºn valor.
-List.metadata_selection.allvalues:Clasificar por todos los valores de metadatos encontrados, de todos los elementos en la lista.
-List.partition_name_length:Longitud del nombre de la particiÃ³n: el valor predefinido es una variable entre 1 y 3 caracteres, dependiendo de cuÃ¡ntos son necesarios para distinguir el principio de la particiÃ³n de su final. Esta opciÃ³n sÃ³lo se aplica cuando partition_type_within_level se marca como 'constant_size'.
-
-List.partition_size_within_level:NÃºmero de elementos en cada particiÃ³n (sÃ³lo se aplica cuando partition_type_within_level se establece a 'constant_size'). Puede especificarse para cada nivel. Separe los niveles con '/'.
-
-List.partition_type_within_level:Tipo de particiÃ³n hecha: puede ser 'per_letter' (por letra), 'constant_size' (tamaÃ±o constante) o 'none' (ninguna). Separe los niveles con '/'.
-
-List.reverse_sort_leaf_nodes:Ordenar los documentos de manera inversa.
-
-List.sort_leaf_nodes_using:Campos de metadatos usados para ordenar los nodos anidados. Use '|' para separar los grupos de metadatos para ordenaciÃ³n estable y ';' para separar campos de metadatos dentro de cada grupo.
-
-List.sort_using_unicode_collation:Ordenar usando el algoritmo Unicode. Requiere que se descargue el archivo http://www.unicode.org/Public/UCA/latest/allkeys.txt en la carpeta lib/unicode/Collate de Perl.
-
-List.standardize_capitalization:Los valores de metadatos se convierten a minÃºsculas para ordenar los estantes. Active esta opciÃ³n si desea usar esos valores en minÃºsculas para mostrar los nombres de los estantes. De lo contrario, se usarÃ¡n mayÃºsculas.
-
-List.use_hlist_for:Campos de metadato para usar una hlist mejor que una vlist. Use ',' para separar los grupos de metadatos y ';' para separar los campos de metadatos dentro de cada grupo.
+List.use_formatted_metadata_for_bookshelf_display:Los valores de los metadatos se formatean para su ordenamiento (a menos que se especifique -no_metadata_formatting). Esto puede incluir convertirlos a minÃºsculas, eliminaciÃ³n de espacios en blanco, quitar artÃ­culos. Elija esta opciÃ³n para usar esos valores formateados como nombres de estantes. De lo contrario, se usarÃ¡n las variantes de los valores originales que ocurran mÃ¡s frecuentemente.
 
 SimpleList.metadata:Un simple campo de metadato o una lista de campos de metadatos separados por una coma y usados para clasificaciÃ³n. Siguiendo el orden indicado por la lista, se usarÃ¡ el primer campo que contenga un valor de metadato. La lista se ordenarÃ¡ por este elemento, a menos que se use -sort. Si no se especifica metadato, entonces todos los documentos se incluirÃ¡n en la lista, en otro caso sÃ³lo se incluirÃ¡n aquellos documentos que contengan un valor de metadato.
@@ -858,4 +868,8 @@
 
 ConvertToRogPlugin.desc:Un plugin que hereda de RogPlugin.
+
+CSVFieldSeparator.csv_field_separator:El caracter utilizado para separar cada celda de una fila en el archivo CSV. CSV significa Valores Separados por Comas pero de todas maneras puede especificar aquÃ­ el caracter usado en el CSV si fuera distinto al predeterminado. Si esta opciÃ³n se configura como auto, el Plugin intentarÃ¡ autodetectar el caracter usado como separador de campos.
+
+CSVFieldSeparator.metadata_value_separator:Caracter usado para separar mÃºltiples valores dentro de una misma celda de la planilla CSV. Si utilizÃ³ la barra vertical como caracterseparador, entonces configure metadata_value_separator como \| (barra invertida y barra vertical).
 
 CSVPlugin.desc:Plugin para ficheros con valores separados por comas. Se crearÃ¡ un nuevo documento para cada lÃ­nea del fichero.
@@ -1121,4 +1135,6 @@
 MetadataXMLPlugin.desc:Conector que procesa archivos metadata.xml.
 
+NutchTextDumpMARCXMLPlugin.keep_urls_file:File path or name of optional whitelist file containing one URL per line, whose records are to be retained when processing each url's record in the dump.txt files produced by nutch per website. Those records whose URLs are not listed in the file will be discarded. For relative paths, the plugin will look for the file in the collection's etc directory.
+
 GreenstoneMETSPlugin.desc:Procesa documentos METS en el estilo de Greenstone
 
@@ -1210,5 +1226,5 @@
 PDFv1Plugin.win_old_pdftotext_unsupported:*** En Windows, PDFv1Plugin no admite pdf a texto. Los archivos PDF se convertirÃ¡n a HTML en su lugar. \n *** Use PDFv2Plugin si desea convertir pdf a texto.
 
-PDFPlugin.zoom:El factor por el cual se hace acercamiento al PDF para la salida (esto sÃ³lo es Ãºtil si el -complex esta determinado).
+PDFPlugin.zoom:El factor por el cual se hace acercamiento al PDF para la salida (esto sÃ³lo es Ãºtil si -complex esta configurado).
 
 PDFv2Plugin.dpi:La resoluciÃ³n en DPI de las imÃ¡genes de fondo generadas cuando convert_to se configura como pagedimg(txt) y (paged_)pretty_html.
@@ -1318,5 +1334,5 @@
 UnknownConverterPlugin.desc:Si tiene instalada una herramienta de conversiÃ³n personalizada que puede ejecutar desde la lÃ­nea de comandos para convertir un formato de documento no compatible a texto, HTML o una serie de imÃ¡genes en formato jpg, png o gif, entonces proporcione ese comando a este complemento. . Luego ejecutarÃ¡ el comando por usted, capturando la salida para la indexaciÃ³n de Greenstone, haciendo que los documentos (si se convierten a texto o HTML) sean de bÃºsqueda. Establezca la opciÃ³n -process_extension en el sufijo de los archivos que se convertirÃ¡n. Establezca la opciÃ³n -convert_to en el formato de salida que generarÃ¡ el comando de conversiÃ³n, que determinarÃ¡ el sufijo del archivo de salida. Establezca la opciÃ³n -exec_cmd con el comando que se ejecutarÃ¡.
 
-UnknownConverterPlugin.exec_cmd:LÃ­nea de comandos para ejecutar que harÃ¡ la conversiÃ³n. Los elementos citados deben tener las comillas escapadas con una barra invertida para preservarlos. Utilice %%INPUT_FILE y %%OUTPUT como marcadores de posiciÃ³n en el comando para el nombre de archivo de entrada y el nombre de archivo de salida, respectivamente. Greenstone los reemplazarÃ¡ con los valores correctos al llamar al comando. Si -convert_to es de tipo pagedimg, Greenstone establece %%OUTPUT para que sea un directorio que contenga los archivos esperados y crearÃ¡ un archivo de elementos que recopila las partes del documento.
+UnknownConverterPlugin.exec_cmd:LÃ­nea de comandos a ejecutar para efectuar la conversiÃ³n. Los elementos con comillas  deben tener las comillas escapadas con una barra invertida para preservarlos. Utilice %%%%INPUT_FILE y %%%%OUTPUT como marcadores de posiciÃ³n en el comando para el nombre de archivo de entrada y el nombre de archivo de salida, respectivamente. Greenstone los reemplazarÃ¡ con los valores correctos al llamar al comando. Si -convert_to es de tipo pagedimg, Greenstone establece %%%%OUTPUT para que sea un directorio que contenga los archivos esperados y crearÃ¡ un archivo de elementos que recopila las partes del documento.
 
 UnknownConverterPlugin.output_file_or_dir_name:Ruta completa del archivo de salida o del directorio (de archivos de salida) generado por la conversiÃ³n.
@@ -1328,5 +1344,5 @@
 UnknownPlugin.file_format:Tipo de archivo (ej: MPEG, MIDI, âŠ)
 
-UnknownPlugin.mime_type:Tipo mime del archivo (por ejemplo image/gif).
+UnknownPlugin.mime_type:Tipo Mime del archivo (por ejemplo image/gif). Googlee el tipo Mime adecuado segÃºn la extensiÃ³n del archivo.
 
 UnknownPlugin.process_extension:Procesar archivos con esta extensiÃ³n de archivo. Esta oopciÃ³n es una alternativa a process_exp mÃ¡s sencilla de usar pero menos flexible.
@@ -1428,5 +1444,5 @@
 BasPlugout.output_handle:descriptor de archivo usado para enviar la informaciÃ³n de salida
 BasPlugout.output_info:Referencia a un objeto arcinfo usado para almacenar informaciÃ³n sobre los archivos.
-BasPlugout.verbosity:Controla la cantidad de salida. 0=nada, 3=mucha.
+BasPlugout.verbosity:Controla la cantidad de mensajes. 0=nada, 3=muchos.
 BasPlugout.xslt_file:Transforma un documento con el XSLT indicado.
 BasPlugout.subdir_hash_prefix:Especificar esta opciÃ³n para no tener en cuenta la palabra HASH en el cÃ¡lculo de la longitud del truncamiento.
Index: /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_es.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_es.properties	(revision 34331)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_es.properties	(revision 34332)
@@ -104,4 +104,9 @@
 
 ## Authentication errors
+auth.error.login:Por favor, haga login para visualizar estÃ¡ pÃ¡gina.
+auth.error.incorrect_login:No estÃ¡ en el grupo correcto para visualizar esta pÃ¡gina, quiere ingresar con un usuario diferente?
+auth.error.un_or_pw_err:Su nombre de usuario o la contraseÃ±a son incorrectos, por favor intente nuevamente.
+auth.error.no_permissions:Este usuario no posee los permisos requeridos para ejecutar esta acciÃ³n.
+auth.error.no_metadata_permissions:No puede modificar ningÃºn metadato si no estÃ¡ logueado.
 auth.error.not_logged_in:Debe iniciar sesiÃ³n para acceder a esta pÃ¡gina.
 auth.error.admin_not_logged_in:Debe estar conectado como administrador para acceder a esta pÃ¡gina.
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 34331)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 34332)
@@ -19,4 +19,5 @@
 left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
 float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
+float_berrybasket_image:interfaces/__INTERFACE_NAME__/images/floatberrybasket.png
 green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
 
@@ -41,4 +42,5 @@
 # months - used by replaceList in siteConfig. need to change to get from java..
 num:NÃºmero
+textmonth00:Indefinido
 textmonth01:Enero
 textmonth02:Febrero
@@ -79,4 +81,6 @@
 about.services:Servicios extra disponibles:
 about.servicehelp:Puede acceder a los servicios seleccionando los botones debajo o en los nombres en la barra de navegaciÃ³n. La barra de navegaciÃ³n es persistente a travÃ©s de todas las pÃ¡ginas de la colecciÃ³n.
+about.standarddescriptiondays:Esta colecciÃ³n contiene {0-numdocs} y fue construida por Ãºltima vez {1-numdays} dÃ­as atrÃ¡s.
+about.standarddescriptiondate:Esta colecciÃ³n contiene {0-numdocs} documentos y fue construida por Ãºltima vez en {1-date}.
 
 #######################
@@ -126,4 +130,5 @@
 pref.set_prefs_help:Selecciones 'Fijar preferencias' si desea guardar los cambios.
 pref.berrybasket:Cesta
+pref.favouritebasket:Canasta de Favoritos:
 pref.documentbasket:Cesta de documentos:
 pref.on:on
@@ -174,4 +179,14 @@
 usercomments.isempty:El comentario estaba vacÃ­o.
 usercomments.heading:Comentarios
+
+##########################
+# Depositor Page
+##########################
+
+depositor.title:Depositor
+depositor.description:Agregar mÃ¡s documentos a una colecciÃ³n existente
+depositor.select_collection:Seleccione una colecciÃ³n:
+depositor.select_collection_option:-- Seleccione una colecciÃ³n --
+depositor.no_valid_collection:No tiene permisos de ediciÃ³n para ninguna colecciÃ³n. Por favor ingrese con un usuario diferente, o contacte al administrador de su biblioteca.
 
 #####################
@@ -285,4 +300,6 @@
 
 berry.title:Cesta de frutas
+favourites.title:Favoritos
+
 berry.full_view:Vista Completa
 berry.text_view:Vista de Texto
@@ -298,4 +315,5 @@
 berry.url_and_metadata:Vista de URL y Metadatos
 berry.empty_basket:Su cesta estÃ¡ vacÃ­a
+favourites.empty_basket:No tiene favoritos guardados.
 berry.doc_name:ID
 berry.doc_title:tÃ­tulo
@@ -305,5 +323,15 @@
 berry.send_success:EnvÃ­o de mail exitoso
 berry.send_fail:El envÃ­o de mail ha fallado
-
+berry.invalid_to_address_empty:El campo Para no puede estar vacÃ­o.
+berry.invalid_to_address:El campo Para debe contener una direcciÃ³n de email.
+berry.invalid_msg_body_empty:El campo del cuerpo del mensaje no puede estar vacÃ­o.
+
+berry.delete_help:Para eliminar items individuales, arrastre su Ã­cono de frutilla al cesto.
+favourites.delete_help:Para eliminar un item en particular, haga click en su Ã­cono favorito.
+favourites.delete_else:O tambiÃ©n
+
+berry.select_all:Seleccionar Todos
+berry.delete_selected:Eliminar los seleccionados
+berry.delete_all:Borrar todo
 ##################################
 # About Greenstone page