Index: /gs3-extensions/mars-src/trunk/CASCADE-COMPILE-MANUAL.sh
===================================================================
--- /gs3-extensions/mars-src/trunk/CASCADE-COMPILE-MANUAL.sh	(revision 34339)
+++ /gs3-extensions/mars-src/trunk/CASCADE-COMPILE-MANUAL.sh	(revision 34339)
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+if [ "x$GEXT_MARS" = "x" ] ; then
+  soruce ./setup.bash
+fi
+
+cd packages && ./CASCADE-COMPILE-MANUAL.sh
+
Index: /gs3-extensions/mars-src/trunk/packages/CASCADE-COMPILE-MANUAL.sh
===================================================================
--- /gs3-extensions/mars-src/trunk/packages/CASCADE-COMPILE-MANUAL.sh	(revision 34339)
+++ /gs3-extensions/mars-src/trunk/packages/CASCADE-COMPILE-MANUAL.sh	(revision 34339)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+if [ "x$GEXT_MARS" = "x" ] ; then
+  soruce ../setup.bash
+fi
+
+tar xvzf cmake-3.16.5.tar.gz \
+  && cd cmake-3.16.5 \
+  && ./bootstrap --prefix=$GEXT_MARS \
+  && make \
+  && make install
+
+if [ $? = 0 ] ; then
+    # Eigen3
+   echo "Now isntall eigen3"
+fi
+
+
+
+
Index: /gs3-extensions/mars-src/trunk/setup.bash
===================================================================
--- /gs3-extensions/mars-src/trunk/setup.bash	(revision 34339)
+++ /gs3-extensions/mars-src/trunk/setup.bash	(revision 34339)
@@ -0,0 +1,45 @@
+
+extdesc="the Music Affect Recommender System (MARS) Extension"
+
+full_setup=`pwd`/${BASH_SOURCE}
+fulldir=${full_setup%/*}
+fulldir=${fulldir%/.}
+
+#source cascade-make/lib/cascade-lib.bash
+
+if [ "x$GEXT_MARS" = "x" ] ; then
+  export GEXT_MARS=$fulldir
+  export GEXT_MARS_INSTALLED=$GEXT_MARS/$GSDLOS
+#  export GEXT_MARS_LIBJAVA=$GEXT_MARS/lib/java
+
+
+  export PATH=$GEXT_MARS_INSTALLED/bin:$GEXT_MARS/bin/script:$PATH
+
+  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
+    export LD_LIBRARY_PATH=$GEXT_MARS_INSTALLED/lib
+  else
+    export LD_LIBRARY_PATH=$GEXT_MARS_INSTALLED/lib:$LD_LIBRARY_PATH
+  fi
+  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
+    export DYLD_LIBRARY_PATH=$GEXT_MARS_INSTALLED/lib
+  else
+    export DYLD_LIBRARY_PATH=$GEXT_MARS_INSTALLED/lib:$DYLD_LIBRARY_PATH
+  fi
+ if [ "x$PKG_CONFIG_PATH" = "x" ] ; then
+    export PKG_CONFIG_PATH=$GEXT_MARS_INSTALLED/pkgconfig
+  else
+    export PKG_CONFIG_PATH=$GEXT_MARS_INSTALLED/pkgconfig:$PKG_CONFIG_PATH
+  fi
+
+  extdir=${GEXT_MARS##*/}
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=$extdir
+  else 
+    export GSDLEXTS=$GSDLEXTS:$extdir
+  fi
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi
Index: /gs3-extensions/mars-src/trunk/setup.bat
===================================================================
--- /gs3-extensions/mars-src/trunk/setup.bat	(revision 34339)
+++ /gs3-extensions/mars-src/trunk/setup.bat	(revision 34339)
@@ -0,0 +1,62 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+
+echo Windows MARS EXT SETUP is *UNTESTED*
+echo Windows MARS EXT SETUP is *UNTESTED*
+echo Windows MARS EXT SETUP is *UNTESTED*
+echo Windows MARS EXT SETUP is *UNTESTED*
+
+set extdesc=the Music Affect Recommender System (MARS) Extension
+
+if "%OS%" == "Windows_NT" goto WinNT
+if "%OS%" == "" goto Win95
+if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
+if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
+if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
+if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
+goto End
+
+:WinNT
+set GEXT_MARS=%CD%
+set GEXT_MARS_INSTALLED=%GEXT_MARS%\windows
+
+set PATH=%GEXT_MARS_INSTALLED%\bin;%GEXT_MARS%\bin\script;%PATH%
+
+set GS_CP_SET=yes
+goto Success
+
+:Win95
+if "%1" == "SetEnv" goto Win95Env
+REM We'll invoke a second copy of the command processor to make
+REM sure there's enough environment space
+COMMAND /E:2048 /K %0 SetEnv
+goto End
+
+:Win95Env
+set GEXT_MARS=%CD%
+set PATH=%GEXT_MARS_INSTALLED%\bin;%GEXT_MARS%\bin\script;%PATH%
+set GS_CP_SET=yes
+goto Success
+
+:Success
+
+set fulldir=%~dp0
+
+:: strip off everything up to (and including) ext dir
+set extdir=%fulldir:*ext\=%
+
+:: remove trailing slash
+set extdir=%extdir:\=%
+
+if "x%GSDLEXTS%" == "x" (
+  set GSDLEXTS=%extdir%
+) else (
+  set GSDLEXTS=%GSDLEXTS%:%extdir%
+)
+
+echo +Your environment is now setup for %extdesc%
+
+:End
+
+popd